# Introduction to the Data Access Report REST API

The FlexNet Operations Data Access Report APIs can be used to extract data from the FlexNet Operations Data Warehouse for the purposes of reporting. They allow programmatic access to data using a standard interface on which it is possible to build customer reporting tools. Using the APIs, the data can be integrated into any web or mobile application.
<br/><br/>
Query the **/report/report-names/** API to identify the individual report names (required for the \"{group}\" parameter).
<br/><br/>
Data from up to the preceding 30 days can be obtained, eliminating the need to store data in an external data warehouse. Where the quantity of data is large, it is returned in pages. The \"header\" of the response payload contains URLs to link directly to the previous and next pages of data. A specific page of data can be requested using the pageNumber filter (see the **/global-filters/** API).
<br/><br/>
The API that obtains a report for a particular data group is **/report/**. The other APIs in the report-controller provide meta data that allow the report API to be understood, in order to plan how to use it in a custom application.
<br/><br/>
<b>Using the "Try it" Console</b><br/>
To execute an API command using the **Try It** console, enter the Flexnet Operations **Username** and **Password** (in the **Authorize** section).
<br/><br/>
<br/><p><i>Build: 1da3323 (2025-09-25T05:24:58+0000)</i></p>

Version: 1.0.0

## Servers

[object Object]
```
https://{siteID}.flexnetoperations.com/data
```

## Security

### FNO_Credentials

[object Object]

Type: apiKey
In: header
Name: Authorization

## Download OpenAPI description

 - [Introduction to the Data Access Report REST API](https://developer.revenera.com/_bundle/products/fno-api/apis/rest/dapi/fno_dataaccess.yaml)

## Data Access Report API

 - [GET /api/{version}/report/{group}](https://developer.revenera.com/products/fno-api/apis/rest/dapi/fno_dataaccess/data-access-report-api/reportget.md): Use this API to retrieve a specific report. Specify the report using the **group** parameter.
 - [POST /api/{version}/report/{group}](https://developer.revenera.com/products/fno-api/apis/rest/dapi/fno_dataaccess/data-access-report-api/reportpost.md): Use this API to retrieve a specific report. Specify the report using the **group** parameter.
 - [GET /api/{version}/report/report-types](https://developer.revenera.com/products/fno-api/apis/rest/dapi/fno_dataaccess/data-access-report-api/reporttypes.md): This API retrieves information about the data model used in each available report. The response provides the name and type of each data item included in a given report. This information helps you unde
 - [GET /api/{version}/report/report-types/{group}](https://developer.revenera.com/products/fno-api/apis/rest/dapi/fno_dataaccess/data-access-report-api/reporttype.md): This API retrieves information about the data model used in a specific report. The response provides the name and type of each data item included in the report. This information helps you understand t
 - [GET /api/{version}/report/report-names](https://developer.revenera.com/products/fno-api/apis/rest/dapi/fno_dataaccess/data-access-report-api/reportnames.md): This API returns the names of the available reports.
 - [GET /api/{version}/report/report-filters/{group}](https://developer.revenera.com/products/fno-api/apis/rest/dapi/fno_dataaccess/data-access-report-api/reportfilters.md): This API retrieves the filters that can be used when requesting a specific report.
 - [GET /api/{version}/report/op-list](https://developer.revenera.com/products/fno-api/apis/rest/dapi/fno_dataaccess/data-access-report-api/queryoperatorlist.md): This API retrieves the supported conditional operators.
 - [GET /api/{version}/report/global-filters](https://developer.revenera.com/products/fno-api/apis/rest/dapi/fno_dataaccess/data-access-report-api/globalfilters.md): This API retrieves the filters available for each of the reports. These filters can be used to obtain specific data or to reduce the amount of data returned.
